<div class="kzRating-help">
<p>Ce plugin affiche une barre d'étoiles pour chaque article et permettre aux visiteurs d'évaluer chaque article en cliquant sur l'une d'elles.</p>
<p>
Pour cela, il suffit d'insérer le code suivant dans les gabarits (<em>template</em>) du thème :</p>
<pre><code>&lt;?php eval($plxShow->callHook('kzRating')); ?&gt;</code></pre>
<p>Le bloc de code est à insérer dans chaque partie affichant un article. Ceci est valable pour toutes les pages affichant un article comme article.php ou plusieurs articles comme home.php, categorie.php, tags.php ou archives.php.</p>
<p>Toutes les évalutions sont cumulées avec une valeur comprise entre 0 et 1, indépendamment du nombre d'étoiles</p>
<p>Chaque adresse IP du visiteur est enregistrée en base numérique 32. Il n'est pas possible de voter plus d'une fois pour un article.</p>
<p>Les votes pour un article sont clos automatiquement au plus tard deux mois après la date de publication de l'article. Cette durée peut être modifier en changean la valeur de la constante <strong>POLLING_DURATION</strong> dans le fichier "kzRating.php" du plugin.</p>
<p>On peut également modifier à tout moment le nombre d'étoiles en changeant la constante <strong>STARS_COUNT</strong>.</p>
<p>Le plugin est fonctionnel avec ou sans réécriture d'url.</p>
<p>Dans une configuration standard, les évalutations sont enregistrées  séparément pour chaque article dans un fichier "aaaa-ll.xml" dans le dossier "data/configuration/plugins/kzRating". "aaaa" et "ll" correspondent à l'identifiant de l'article codé sur 4 chiffres et la la langue du site codé sur 2 lettres.</p>
<p>La taille, les couleurs et l'espacement des étoiles sont ajustables avec des règle CSS :</p>
<pre><code>body { --kzRatingcolor1: #258fd6; } /* bleu comme thème par défaut */
.kzRating svg { fill: #ccc; }
.kzRating.open li:hover svg { fill: red; }
.kzRating {
	--size: 2rem; /* taille */
	gap: 0.5rem; /* espacement */
}</code></pre>
<p>Il est possible d'extraire les adresses IP de chaque votant pour un article avec le code suivant :</p>
<pre><code>&lt;?php
$a = '30ageie';
echo long2ip(base_convert($a, 32, 10));
# affiche 192.168.58.78
?&gt;</code></pre>
Il est possible de localiser les adresses IP en fonction du pays, de la ville et de la région avec une des bases de données gratuites et publiées par :<br />
<a class="trademark" href="https://lite.ip2location.com/ip2location-lite" target="_blank"><img src="<?= PLX_PLUGINS ?>kzRating/ip2location.png" alt="IP2LOCATION" /></a><br />
<p>
	Par défaut le plugin pour IP2LOCATION installe une base de données
	réduite aux adresses IP par pays. Pour avoir une localisation plus
	détaillée, cliquer sur le logo ci-dessus et choisir une base de
	données plus détaillée.<br />
	Il est nécessaire de créer un compte gratuit ou payant sur ce site pour télécharger une base de
	données. Le site est en anglais.<br />
	Ensuite déplier l'archive zip téléchargée dans le dossier "databases".
</p>
<p>Toutefois, veiller à ne  pas choisir une base de données trop détaillée qui ralentira la localisation d'une adresse IP. <br />
La base de données DB1 limitée aux pays compte 172 372 enregistrements. <br />
La base de données DB3 avec le détail par ville compte 2 929 715 enregistrements.
</p>
<?php
list($author, $repo) = explode('/', kzRating::IP2LOCATION_PLUGIN_GITHUB_REPO);
if(!is_dir(PLX_PLUGINS . $page . '/' . $repo)) {
?>
<p>
	La librairie <a href="https://github.com/<?= kzRating::IP2LOCATION_PLUGIN_GITHUB_REPO ?>/"><?= $repo ?></a> doit être installéé dans le dossier du plugin.
</p>
<?php
	if(function_exists('curl_init')) {
		$_SESSION['kzRating-plugin'] = kzRating::IP2LOCATION_PLUGIN_GITHUB_REPO;
	?>
<p><a class="button" href="<?= PLX_PLUGINS . $page ?>/install-db.php">Installer cette librairie depuis Github</a></p>
	<?php
	} else {

	}
}
?>
<div>
	<p>Sites fournissant les étendues d'adresses IP par pays</p>
	<ul>
		<li><a href="https://github.com/herrbischoff/country-ip-blocks" blank="_blank">https://github.com/herrbischoff/country-ip-blocks</a></li>
		<li><a href="http://ipverse.net" blank="_blank">http://ipverse.net</a></li>
	</ul>
</div>
<?php
if(is_dir(PLX_PLUGINS . 'kzRating/IP2Location-PHP-Module')) {
	$lang = $plxAdmin->aConf['default_lang'];
?>
<p>La base de données IP2LOCATION est installée sur ce serveur. À partir de celle-ci :</p>
<form action="<?= PLX_PLUGINS ?>kzRating/test/index.php" target="_blank">
	<label>
		<span>Afficher les étendues d'adresses IP pour le pays</span>
		<select name="code">
<?= implode(PHP_EOL,array_map(
	function($item) use($lang) {
		$selected = ($item == $lang) ? ' selected' : '';
		return  '<option value="' . $item . '"' . $selected . '>' . $item . '</option>' . PHP_EOL;
	},
	array('de', 'en', 'es', 'fr', 'it', 'nl', 'pl', 'pt', 'ro', 'ru')
));
?>
		</select>
		<input type="submit" />
		<p><em>Soyez patient, tous les enregistrements de la base de données vont être examinés.</em></p>
	</label>
</form>
<?php
}
?>
</div>
